Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.core.queries
Class YDebugQueryHandler

    java.lang.Object
      org.ka2ddo.yaac.pluginapi.AbstractQueryHandler
          org.ka2ddo.yaac.core.queries.YDebugQueryHandler

    public class YDebugQueryHandler

extends AbstractQueryHandler

This query handler sends back some debugging information about the local YAAC system. Specifically, it returns the current map center and zoom level, the heap statistics, the number of heard (by any path, port, and hop count) stations and objects, number of rendered stations/objects, OSM map data version number, number of threads. If a parameter is specified after the query name, that will specify an alternate debugging report; unrecognized parameters will cause the query to be ignored. Currently supported parameter values are:

? | report the names of currently supported options
PARAMS | report the names of currently supported options
TH | respond with multiple messages identifying all the threads running in YAAC and their states
?YDBG query command strings

Constructor Summary
`YDebugQueryHandler()`

Method Summary
`void` | `handleQuery(MessageMessage mm)` Handle the passed in message and generate whatever appropriate response should be made.

Methods inherited from class org.ka2ddo.yaac.pluginapi.AbstractQueryHandler
`transmitReply`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YDebugQueryHandler

    public YDebugQueryHandler()

Method Detail

### handleQuery

    public void handleQuery(MessageMessage mm)

  Handle the passed in message and generate whatever appropriate response should be made.

  Specified by:
    `handleQuery` in class `AbstractQueryHandler`
  Parameters:
    `mm` - MessageMessage addressed explicitly to local station whose content begins with one of the prefixes specified by the subclass.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD